<?php

declare(strict_types=1);

namespace KupShop\KupShopBundle\PriceType;

use KupShop\CatalogBundle\ProductList\ProductCollection;
use KupShop\ContentBundle\Entity\ProductUnified;
use KupShop\KupShopBundle\DiscountFieldDefinition\DiscountFieldDefinitionInterface;
use KupShop\KupShopBundle\Util\Price\Price;

interface PriceTypeInterface
{
    public function getPrice(ProductUnified $product): ?Price;

    public function getDiscountFieldDefinition(): DiscountFieldDefinitionInterface;

    public function prefetchProductCollection(ProductCollection $productCollection);
}
